import { VotesDict } from '@votingworks/ballot-encoder';
import { BallotMark } from './types';
/**
 * Gets the votes where the given marks have a high enough score to count, where
 * a score of 0 means nothing is filled in and a score of 1 means everything is
 * filled in.
 */
export default function getVotesFromMarks(marks: readonly BallotMark[], { markScoreVoteThreshold }: {
    markScoreVoteThreshold: number;
}): VotesDict;
