"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VisitedPoints = void 0;
class VisitedPoints {
    constructor(width, height) {
        this.width = width;
        this.data = new Array(height);
    }
    add(x, y, value = true) {
        let row = this.data[y];
        if (!row) {
            if (!value) {
                return false;
            }
            row = new Uint8Array(this.width);
            this.data[y] = row;
        }
        const result = (row[x] === 0) === value;
        row[x] = value ? 1 : 0;
        return result;
    }
    has(x, y) {
        var _a;
        return ((_a = this.data[y]) === null || _a === void 0 ? void 0 : _a[x]) === 1;
    }
}
exports.VisitedPoints = VisitedPoints;
