declare const _default: import("./imageFormatUtils").InPlaceImageTransform<[], void>;
export default _default;
/**
 * Copies a grayscale image to a destination.
 */
export declare function fromGray(srcImageData: ImageData, dstImageData?: ImageData): void;
/**
 * Converts an RGBA image to grayscale. If the destination image is a
 * single-channel image, the alpha channel is ignored.
 *
 * Operates on the image in-place by default, or a different destination image
 * may be provided.
 */
export declare function fromRGBA(srcImageData: ImageData, dstImageData?: ImageData): void;
