export declare function zip(): Generator<[]>;
export declare function zip<T>(one: Iterable<T>): Generator<[T]>;
export declare function zip<T, U>(one: Iterable<T>, two: Iterable<U>): Generator<[T, U]>;
export declare function zip<T, U, V>(one: Iterable<T>, two: Iterable<U>, three: Iterable<V>): Generator<[T, U, V]>;
export declare function zip<T, U, V, W>(one: Iterable<T>, two: Iterable<U>, three: Iterable<V>, four: Iterable<W>): Generator<[T, U, V, W]>;
export declare function zip<T, U, V, W, X>(one: Iterable<T>, two: Iterable<U>, three: Iterable<V>, four: Iterable<W>, five: Iterable<X>): Generator<[T, U, V, W, X]>;
export declare function zipMin<T, U>(left: Iterable<T>, right: Iterable<U>): Generator<[T, U]>;
export declare function reversed<T>(collection: Iterable<T>): Generator<T>;
export declare function map<T, U>(collection: Iterable<T>, mapfn: (element: T, index: number) => U): Generator<U>;
