import { DetectQRCode } from '../../types';
/**
 * Makes a new QR code detector from an existing one that works by cropping the
 * bottom-right and top-left corners of the image before passing it on.
 */
export declare function withCropping(decode: DetectQRCode, { widthFraction, heightFraction }?: {
    widthFraction?: number | undefined;
    heightFraction?: number | undefined;
}): DetectQRCode;
