/// <reference types="node" />
import { GlobalOptions } from '..';
export interface Options {
    ballotImagePaths: readonly string[];
}
export declare const name = "layout";
export declare const description = "Annotate the interpreted layout of a ballot page";
export declare function printHelp($0: string, out: NodeJS.WritableStream): void;
export declare function parseOptions({ commandArgs: args, }: GlobalOptions): Promise<Options>;
/**
 * Finds features in an image and writes an image adjacent with overlays marking
 * those features.
 */
export declare function run(options: Options, _stdin: NodeJS.ReadableStream, stdout: NodeJS.WritableStream): Promise<number>;
