import { BallotPageContestLayout, Corners, Rect } from '../types';
import { TargetShape } from './findTargets';
/**
 * Finds contest choice areas based on the contest box bounds and the contest
 * option target bounds.
 */
export default function findContestOptions(contests: readonly {
    bounds: Rect;
    corners: Corners;
    targets: readonly TargetShape[];
}[], { topMarginPercent }?: {
    topMarginPercent?: number | undefined;
}): readonly BallotPageContestLayout[];
