import { Rect } from '../types';
export interface TargetShape {
    bounds: Rect;
    inner: Rect;
}
export default function findTargets(ballotImage: ImageData, bounds: Rect, { inset, aspectRatio, aspectRatioTolerance, expectedWidth, errorMargin, }?: {
    inset?: number | undefined;
    aspectRatio?: number | undefined;
    aspectRatioTolerance?: number | undefined;
    expectedWidth?: number | undefined;
    errorMargin?: number | undefined;
}): Generator<TargetShape>;
