export default class KeyedMap<Key, Value, ResolvedKey = string> {
    private resolveKey;
    private map;
    constructor(resolveKey: (key: Key) => ResolvedKey);
    has(key: Key): boolean;
    get(key: Key): Value | undefined;
    set(key: Key, value: Value): this;
    delete(key: Key): boolean;
}
