"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.adjacentFile = void 0;
const path_1 = require("path");
/**
 * Gets the path to a file adjacent to this one.
 *
 * @example
 *
 */
function adjacentFile(suffix, path, ext = path_1.extname(path)) {
    const dir = path_1.dirname(path);
    const base = path_1.basename(path, path_1.extname(path));
    return path_1.join(dir, base + suffix + ext);
}
exports.adjacentFile = adjacentFile;
