"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.quirc = exports.jsqr = void 0;
const jsqr_1 = __importDefault(require("./jsqr"));
exports.jsqr = jsqr_1.default;
const quirc_1 = __importDefault(require("./quirc"));
exports.quirc = quirc_1.default;
/**
 * Detects QR codes in a ballot image.
 */
async function detect(imageData) {
    var _a;
    return (_a = (await quirc_1.default(imageData))) !== null && _a !== void 0 ? _a : (await jsqr_1.default(imageData));
}
exports.default = detect;
